{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Topics Category List{% endblock %}
{% block topics_category_active %}active{% endblock %}
{% block parent_topics_a_active %}active{% endblock %}
{% block parent_topics_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
           <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Topics Category List</span>

                    <span class="tools pull-right">
                            <a class="btn btn-success start" href="{% url 'add_topics_cat' %}">
                                <i class="glyphicon glyphicon-plus"></i>
                                <span>Add New</span>
                            </a>
                    </span>
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="topics-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="center text-center ver-center">Name</th>
                                <th class="center text-center ver-center">Name CN</th>
                                <th class="center text-center ver-center">Action</th>
                            </tr>
                            </thead>
                        </table>

                    </div>
                </div>
            </section>
        </div>
    </div>
    {#Comfirm Delete#}
    <div class="modal fade" id="comfirmDeleteJournalModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><strong>Delete Topic Category</strong></h4>
                </div>
                <div class="modal-body" style="padding-bottom: 0px!important; padding: 0 3%;">
                    <form action="">
                        <div class="form-group">
                            <label>Are you sure you want to delete?</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer" style="text-align: center">
                    <button class="btn btn-default" type="button" data-dismiss="modal">No
                    </button>
                    <a id="comfirm-yes">
                        <button class="btn btn-danger" type="button">Yes</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {#End Comfirm delete#}
{% endblock %}
{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {

            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#topics-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,

                "ajax": {
                    "url": "{% url 'get_topics_cat_list_as_json' %}",
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '45%',
                        "render": function (data, type, full, meta) {
                            var topics_cat_link = '<a href="/cms/topics_cat/edit/' + full.id + '">' + full.name + '</a>'
                            return topics_cat_link;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '45%',
                        "render": function (data, type, full, meta) {
                            var news_cat_link = '<a href="/cms/topics_cat/edit/' + full.id + '">' + full.name_cn + '</a>'
                            return news_cat_link;
                        }
                    },
                    {
					    "orderable": false,
                        "data": null,
                        "width": '5%',
                        "render": function (data, type, row, meta) {
                            if (row.is_delete == 0) {
                                return '<a style="cursor: pointer;" onclick="deleteTopicCate(' + row.id + ')">Delete</a>'
                            }
                            if (row.is_delete == 1) {
                                return '<span class="fa fa-trash-o text-danger">Deleted</span>'
                            }
                        }
                    },

                ]
            });

        })
        function deleteTopicCate(id) {
            var url = '/cms/topics_cat/delete/' + id + '/'
            $("#comfirmDeleteJournalModal").modal("show");
            $("#comfirm-yes").attr("href", url);
        }
    </script>
{% endblock %}
